package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * GlobalUnknownDeviceOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class GlobalUnknownDeviceOpenApiVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("name")
  private String name;

  @JsonProperty("type")
  private String type;

  @JsonProperty("subtype")
  private String subtype;

  @JsonProperty("deviceSeriesType")
  private Integer deviceSeriesType;

  @JsonProperty("model")
  private String model;

  @JsonProperty("ip")
  private String ip;

  @JsonProperty("uptime")
  private String uptime;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("lastSeen")
  private Long lastSeen;

  public GlobalUnknownDeviceOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public GlobalUnknownDeviceOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name
   * @return name
  */
  @ApiModelProperty(value = "Device name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public GlobalUnknownDeviceOpenApiVo type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type
   * @return type
  */
  @ApiModelProperty(value = "Device type")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public GlobalUnknownDeviceOpenApiVo subtype(String subtype) {
    this.subtype = subtype;
    return this;
  }

  /**
   * Switch subtype should be a value as follows: smart: Smart Switch; es: Easy Managed Switch.
   * @return subtype
  */
  @ApiModelProperty(value = "Switch subtype should be a value as follows: smart: Smart Switch; es: Easy Managed Switch.")


  public String getSubtype() {
    return subtype;
  }

  public void setSubtype(String subtype) {
    this.subtype = subtype;
  }

  public GlobalUnknownDeviceOpenApiVo deviceSeriesType(Integer deviceSeriesType) {
    this.deviceSeriesType = deviceSeriesType;
    return this;
  }

  /**
   * Device series type. 0 means basic, 1 means pro.
   * @return deviceSeriesType
  */
  @ApiModelProperty(value = "Device series type. 0 means basic, 1 means pro.")


  public Integer getDeviceSeriesType() {
    return deviceSeriesType;
  }

  public void setDeviceSeriesType(Integer deviceSeriesType) {
    this.deviceSeriesType = deviceSeriesType;
  }

  public GlobalUnknownDeviceOpenApiVo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model name
   * @return model
  */
  @ApiModelProperty(value = "Device model name")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public GlobalUnknownDeviceOpenApiVo ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Device IP
   * @return ip
  */
  @ApiModelProperty(value = "Device IP")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public GlobalUnknownDeviceOpenApiVo uptime(String uptime) {
    this.uptime = uptime;
    return this;
  }

  /**
   * Device uptime
   * @return uptime
  */
  @ApiModelProperty(value = "Device uptime")


  public String getUptime() {
    return uptime;
  }

  public void setUptime(String uptime) {
    this.uptime = uptime;
  }

  public GlobalUnknownDeviceOpenApiVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Device status should be a value as follows: 0: Disconnected; 1: Connected; 2: Pending; 3: Heartbeat Missed; 4: Isolated
   * @return status
  */
  @ApiModelProperty(value = "Device status should be a value as follows: 0: Disconnected; 1: Connected; 2: Pending; 3: Heartbeat Missed; 4: Isolated")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public GlobalUnknownDeviceOpenApiVo lastSeen(Long lastSeen) {
    this.lastSeen = lastSeen;
    return this;
  }

  /**
   * Device lastSeen, unit: ms
   * @return lastSeen
  */
  @ApiModelProperty(value = "Device lastSeen, unit: ms")


  public Long getLastSeen() {
    return lastSeen;
  }

  public void setLastSeen(Long lastSeen) {
    this.lastSeen = lastSeen;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GlobalUnknownDeviceOpenApiVo globalUnknownDeviceOpenApiVo = (GlobalUnknownDeviceOpenApiVo) o;
    return Objects.equals(this.mac, globalUnknownDeviceOpenApiVo.mac) &&
        Objects.equals(this.name, globalUnknownDeviceOpenApiVo.name) &&
        Objects.equals(this.type, globalUnknownDeviceOpenApiVo.type) &&
        Objects.equals(this.subtype, globalUnknownDeviceOpenApiVo.subtype) &&
        Objects.equals(this.deviceSeriesType, globalUnknownDeviceOpenApiVo.deviceSeriesType) &&
        Objects.equals(this.model, globalUnknownDeviceOpenApiVo.model) &&
        Objects.equals(this.ip, globalUnknownDeviceOpenApiVo.ip) &&
        Objects.equals(this.uptime, globalUnknownDeviceOpenApiVo.uptime) &&
        Objects.equals(this.status, globalUnknownDeviceOpenApiVo.status) &&
        Objects.equals(this.lastSeen, globalUnknownDeviceOpenApiVo.lastSeen);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, name, type, subtype, deviceSeriesType, model, ip, uptime, status, lastSeen);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GlobalUnknownDeviceOpenApiVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    subtype: ").append(toIndentedString(subtype)).append("\n");
    sb.append("    deviceSeriesType: ").append(toIndentedString(deviceSeriesType)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    uptime: ").append(toIndentedString(uptime)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    lastSeen: ").append(toIndentedString(lastSeen)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

